org.eclipse.cdt.core.parser

## Class IncludeExportPatterns

- java.lang.Object
- - org.eclipse.cdt.core.parser.IncludeExportPatterns

    public class IncludeExportPatterns
    extends Object

Container for include export patterns, for example "IWYU pragma: export", "IWYU pragma: begin_exports" and "IWYU pragma: end_exports".

Since:
  5.5
See Also:
  "https://github.com/include-what-you-use/include-what-you-use/blob/master/docs/IWYUPragmas.md"

### Constructor Summary

Constructors
Constructor and Description
`IncludeExportPatterns(String exportPattern, String beginExportsPattern, String endExportsPattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Pattern` `getIncludeBeginExportsPattern()` Returns the include export pattern, e.g.
`Pattern` `getIncludeEndExportsPattern()` Returns the include export pattern, e.g.
`Pattern` `getIncludeExportPattern()` Returns the include export pattern, e.g.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncludeExportPatterns

    public IncludeExportPatterns(String exportPattern,
                                 String beginExportsPattern,
                                 String endExportsPattern)

### Method Detail

#### getIncludeExportPattern

    public Pattern getIncludeExportPattern()

Returns the include export pattern, e.g. "IWYU pragma: export".

#### getIncludeBeginExportsPattern

    public Pattern getIncludeBeginExportsPattern()

Returns the include export pattern, e.g. "IWYU pragma: begin_exports".

#### getIncludeEndExportsPattern

    public Pattern getIncludeEndExportsPattern()

Returns the include export pattern, e.g. "IWYU pragma: end_exports".